## cdbs 0.4.159

=== debian/changelog ===
cdbs (0.4.159) unstable; urgency=medium

  * utils.mk: Tighten licensecheck rule.
  * Update copyright info:
    + Extend coverage.
    + Update to list Salsa project as Source URL.
  * Declare compliance with Debian Policy 4.3.0.
  * Tighten lintian overrides regarding License-Reference.
  * cmake.mk: Pass CMAKE_INSTALL_LIBDIR for cross compilation.
    Closes: Bug#893505. Thanks to Helmut Grohne.
  * qmake.mk: Use a cross qmake for cross building.
    Closes: Bug#917998. Thanks to Helmut Grohne.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Feb 2019 12:49:25 +0100

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: build-common team <team+build-common@tracker.debian.org>
Build-Depends-Indep: debhelper,
 dh-buildinfo,
 autoconf,
 fakeroot,
 python-dev,
 python-all-dev,
 python3-all-dev,
 pypy-dev,
 dh-python,
 ant,
 default-jdk-headless | default-jdk,
 sharutils,
 lzma
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Marc Dequènes (Duck) <Duck@DuckCorp.org>,
 Rémi Thebault (RTbo) <remi.thebault@gmail.com>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/build-common-team/cdbs.git
Vcs-Browser: https://salsa.debian.org/build-common-team/cdbs
Rules-Requires-Root: no

Package: cdbs
Architecture: all
Multi-Arch: foreign
Recommends: autotools-dev
Suggests: devscripts
Description: common build system for Debian packages
 This package contains the Common Debian Build System,
 an abstract build system based on Makefile inheritance
 which is completely extensible and overridable.
 In other words, CDBS provides a sane set of default rules
 upon which packages can build;
 any or all rules may be overridden as needed.

## cdbs 0.4.159ubuntu1

=== debian/changelog ===
cdbs (0.4.159ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control: Depend on dh_translations and scour
    - Build-Depend on scour for build tests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 14:23:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: build-common team <team+build-common@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: build-common team <team+build-common@tracker.debian.org>
 Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
@@ -9,6 +10,7 @@
  python-dev,
  python-all-dev,
  python3-all-dev,
+ scour <!nocheck>,
  pypy-dev,
  dh-python,
  ant,
@@ -27,6 +29,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.159ubuntu2

=== debian/changelog ===
cdbs (0.4.159ubuntu2) focal; urgency=medium

  * Drop build dependency on python-dev.
  * Use python2 as the default python2 runtime.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Mar 2020 10:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  dh-buildinfo,
  autoconf,
  fakeroot,
- python-dev,
  python-all-dev,
  python3-all-dev,
  scour <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

# cdbs uses itself to build itself.
_cdbs_rules_path = 1/rules
_cdbs_class_path = 1/class
_cdbs_scripts_path = scripts
_cdbs_makefile_suffix = .in

DEB_AUTO_UPDATE_AUTOCONF = ,
include 1/rules/utils.mk.in
include 1/rules/debhelper.mk.in
include 1/class/autotools.mk.in

# Suppress build-dependency on ourselves
CDBS_BUILD_DEPENDS_rules_buildvars =

# Suppress build-dependency on licensecheck to ease backports + arch bootstrap
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_COPYRIGHT_CHECK_MERGE_SAME_LICENSE = yes

# We use autotools too modern for default CDBS
DEB_CONFIGURE_LIBEXECDIR = /usr/lib

# emit testsuite errors, and don't fail on experimental builds
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_SUITE))
DEB_MAKE_CHECK_TARGET = check \
 || { cat test/test-suite.log; $(if $(DEB_SUITE_EXP),,false;) }

# Unset these variables so config.guess/config.sub in the test suite are
# not replaced (because the test suite is supposed to test the replacing
# later).
config_guess =
config_sub =

# preserve (and force regenerate) upstream-shipped autotools files
DEB_UPSTREAM_CRUFT_MOVE = configure tests/testsuite

## cdbs 0.4.159+nmu1

=== debian/changelog ===
cdbs (0.4.159+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:47:23 +0800

## cdbs 0.4.162

=== debian/changelog ===
cdbs (0.4.162) unstable; urgency=medium

  * update autotool (with autogen.sh)
  * have tests use debhelper compatibility level 10 (not 5);
    closes: bug#958767, thanks to Niels Thykier
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Apr 2020 10:11:27 +0200

cdbs (0.4.161) unstable; urgency=medium

  * avoid python2:
    + avoid tests involving python2
    + update autotool (with autogen.sh)
    + stop build-depend on python-dev python-all-dev
    closes: bug#883173, thanks to Matthias Klose
  * annotate test-only build-dependencies
  * fix really declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Apr 2020 23:18:21 +0200

cdbs (0.4.160) unstable; urgency=medium

  * fix: support non-utf8 locale in helper scripts
    license-miner licensecheck2dep5
  * debhelper:mk: auto-resolve unversioned build-dependency on debhelper
    for compat level 10
  * use debhelper compatibility level 10 (not 9)
  * copyright: extend coverage
  * declare compliance with Debian Policy 4.5.0
  * python-sugar.mk: auto-resolve python3 (build-)dependencies
    (not python)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Apr 2020 22:39:24 +0200

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: build-common team <team+build-common@tracker.debian.org>
Build-Depends-Indep: debhelper,
 dh-buildinfo,
 autoconf,
 fakeroot <!nocheck>,
 python3-all-dev <!nocheck>,
 pypy-dev <!nocheck>,
 dh-python <!nocheck>,
 ant <!nocheck>,
 default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
 sharutils <!nocheck>,
 lzma <!nocheck>,
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Marc Dequènes (Duck) <Duck@DuckCorp.org>,
 Rémi Thebault (RTbo) <remi.thebault@gmail.com>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/build-common-team/cdbs.git
Vcs-Browser: https://salsa.debian.org/build-common-team/cdbs
Rules-Requires-Root: no

Package: cdbs
Architecture: all
Multi-Arch: foreign
Recommends: autotools-dev
Suggests: devscripts
Description: common build system for Debian packages
 This package contains the Common Debian Build System,
 an abstract build system based on Makefile inheritance
 which is completely extensible and overridable.
 In other words, CDBS provides a sane set of default rules
 upon which packages can build;
 any or all rules may be overridden as needed.

## cdbs 0.4.162ubuntu1

=== debian/changelog ===
cdbs (0.4.162ubuntu1) groovy; urgency=medium

  * Sync with Debian. Remaining changes:
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control: Depend on dh_translations and scour
    - Build-Depend on scour for build tests.
    - Use python2 as the default python2 runtime.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Apr 2020 19:59:47 -0400

## cdbs 0.4.162ubuntu2

=== debian/changelog ===
cdbs (0.4.162ubuntu2) groovy; urgency=medium

  * Runtime-require libregexp-assemble-perl to fix a build failure in
    gst-plugins-ugly1.0 (Closes: #963347)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jul 2020 14:57:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: build-common team <team+build-common@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: build-common team <team+build-common@tracker.debian.org>
 Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
  fakeroot <!nocheck>,
  python3-all-dev <!nocheck>,
  pypy-dev <!nocheck>,
+ scour <!nocheck>,
  dh-python <!nocheck>,
  ant <!nocheck>,
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
@@ -25,6 +27,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, scour, libregexp-assemble-perl
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.162ubuntu3

=== debian/changelog ===
cdbs (0.4.162ubuntu3) groovy; urgency=medium

  * Also add libimage-exiftool-perl to runtime dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jul 2020 17:25:12 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
-Depends: dh-translations, scour, libregexp-assemble-perl
+Depends: dh-translations, scour, libregexp-assemble-perl, libimage-exiftool-perl
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.162ubuntu5

=== debian/changelog ===
cdbs (0.4.162ubuntu5) groovy; urgency=medium

  * Back with the status of 0.4.162ubuntu1 package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jul 2020 18:36:01 +0200

cdbs (0.4.162ubuntu4) groovy; urgency=medium

  * Runtime-require libregexp-assemble-perl, libimage-exiftool-perl and libfont-ttf-perl
    to fix a build failure in gst-plugins-ugly1.0 (Closes: #963347)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jul 2020 14:57:31 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
-Depends: dh-translations, scour, libregexp-assemble-perl, libimage-exiftool-perl
+Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.163

=== debian/changelog ===
cdbs (0.4.163) unstable; urgency=medium

  * remove myself as uploader

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 06:31:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: build-common team <team+build-common@tracker.debian.org>
+Maintainer: build-common team <team+build-common@tracker.debian.org>
 Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
  fakeroot <!nocheck>,
  python3-all-dev <!nocheck>,
  pypy-dev <!nocheck>,
- scour <!nocheck>,
  dh-python <!nocheck>,
  ant <!nocheck>,
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  sharutils <!nocheck>,
  lzma <!nocheck>,
-Uploaders: Jonas Smedegaard <dr@jones.dk>,
+Uploaders:
  Marc Dequènes (Duck) <Duck@DuckCorp.org>,
  Rémi Thebault (RTbo) <remi.thebault@gmail.com>,
  Vasudev Kamath <kamathvasudev@gmail.com>
@@ -27,7 +25,6 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
-Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.163ubuntu1

=== debian/changelog ===
cdbs (0.4.163ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control: Depend on dh_translations and scour
    - Build-Depend on scour for build tests.
    - Use python2 as the default python2 runtime.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Dec 2020 22:08:38 +0100

## cdbs 0.4.163ubuntu2

=== debian/changelog ===
cdbs (0.4.163ubuntu2) devel; urgency=medium

  * Fix FTBFS with 'noudeb' build profile
    + tests: disable auto-udeb test, noudeb builds on Ubuntu (LP: #1884836)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 14 Oct 2021 14:28:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: build-common team <team+build-common@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: build-common team <team+build-common@tracker.debian.org>
 Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
  fakeroot <!nocheck>,
  python3-all-dev <!nocheck>,
  pypy-dev <!nocheck>,
+ scour <!nocheck>,
  dh-python <!nocheck>,
  ant <!nocheck>,
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
@@ -25,6 +27,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.163+nmu1

=== debian/changelog ===
cdbs (0.4.163+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't fail the build on the test; instead show the log (Closes: #1002779)
  * Drop !nocheck Build-Depends-Indep on pypy-dev (Closes: #1019975)

 -- Paul Gevers <elbrus@debian.org>  Sat, 17 Sep 2022 22:20:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: build-common team <team+build-common@tracker.debian.org>
+Maintainer: build-common team <team+build-common@tracker.debian.org>
 Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
  fakeroot <!nocheck>,
  python3-all-dev <!nocheck>,
- pypy-dev <!nocheck>,
- scour <!nocheck>,
  dh-python <!nocheck>,
  ant <!nocheck>,
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
@@ -27,7 +24,6 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
-Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.163+nmu2

=== debian/changelog ===
cdbs (0.4.163+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * scripts/waf-unpack: Convert to Python3 syntax (Closes: #983470).

 -- Bastian Germann <bage@debian.org>  Mon, 31 Oct 2022 18:54:32 +0100

## cdbs 0.4.163+nmu2ubuntu1

=== debian/changelog ===
cdbs (0.4.163+nmu2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control: Depend on dh_translations and scour
    - Build-Depend on scour for build tests.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Dec 2022 10:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  autoconf,
  fakeroot <!nocheck>,
  python3-all-dev <!nocheck>,
+ scour <!nocheck>,
  dh-python <!nocheck>,
  ant <!nocheck>,
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
@@ -24,6 +25,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.164

=== debian/changelog ===
cdbs (0.4.164) unstable; urgency=medium

  * QA upload.
  * d/control: Move Vcs to debian namespace.
  * Drop pypy and control.in.
  * Drop generated files.

 -- Bastian Germann <bage@debian.org>  Wed, 14 Dec 2022 22:29:51 +0100

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep: debhelper,
 dh-buildinfo,
 autoconf,
 fakeroot <!nocheck>,
 python3-all-dev <!nocheck>,
 dh-python <!nocheck>,
 ant <!nocheck>,
 default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
 sharutils <!nocheck>,
 lzma <!nocheck>,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/cdbs.git
Vcs-Browser: https://salsa.debian.org/debian/cdbs
Rules-Requires-Root: no

Package: cdbs
Architecture: all
Multi-Arch: foreign
Recommends: autotools-dev
Suggests: devscripts
Description: common build system for Debian packages
 This package contains the Common Debian Build System,
 an abstract build system based on Makefile inheritance
 which is completely extensible and overridable.
 In other words, CDBS provides a sane set of default rules
 upon which packages can build;
 any or all rules may be overridden as needed.

## cdbs 0.4.164ubuntu1

=== debian/changelog ===
cdbs (0.4.164ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control: Depend on dh_translations and scour
    - Build-Depend on scour for build tests.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Dec 2022 16:44:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  autoconf,
  fakeroot <!nocheck>,
  python3-all-dev <!nocheck>,
+ scour <!nocheck>,
  dh-python <!nocheck>,
  ant <!nocheck>,
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
@@ -20,6 +21,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.165ubuntu1

=== debian/changelog ===
cdbs (0.4.165ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control: Depend on dh_translations and scour
    - Build-Depend on scour for build tests.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jan 2023 14:46:09 +0100

cdbs (0.4.165) unstable; urgency=medium

  * QA upload.
  * revive support for (re)generating debian/control,
    needlessly broken with release 0.4.164

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Jan 2023 15:49:09 +0100

## cdbs 0.4.166

=== debian/changelog ===
cdbs (0.4.166) unstable; urgency=medium

  * QA upload.
  * 1/rules/debhelper.mk.in: Call dh_scour.
  * debian/control: Depend on scour.
  * debian/control: Build-Depend on scour for build tests.
  * Raise default debhelper compat to level 7.

 -- Bastian Germann <bage@debian.org>  Thu, 23 Feb 2023 11:39:34 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
-Depends: dh-translations, scour
+Depends: scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.166ubuntu1

=== debian/changelog ===
cdbs (0.4.166ubuntu1) oracular; urgency=medium

  * Export environment variables needed for ELF package metadata (LP: #2070015)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Jun 2024 12:25:40 +0200

## cdbs 0.4.167

=== debian/changelog ===
cdbs (0.4.167) unstable; urgency=medium

  * QA upload from the Reproducible Builds team.
  * Drop dh_buildinfo support, dpkg since 2016 produces .buildinfo files.
    Thanks to James Addison. Closes: #1088144. Also see #1068809.

 -- Holger Levsen <holger@debian.org>  Sun, 24 Nov 2024 22:19:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: debhelper,
- dh-buildinfo,
  autoconf,
  fakeroot <!nocheck>,
  python3-all-dev <!nocheck>,

## cdbs 0.4.168

=== debian/changelog ===
cdbs (0.4.168) unstable; urgency=medium

  * QA upload.
  * Remove dpatch.mk, simple-patchsys.mk and tarball.mk
    that were deprecated since 2010 and have no user left.
  * Also remove related utility cdbs-edit-patch.
    Closes: #414305, #554855, #508162, #525869

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Mar 2025 14:48:42 +0100

## cdbs 0.4.169

=== debian/changelog ===
cdbs (0.4.169) unstable; urgency=medium

  * QA upload.
  * Remove unused modules: dkms.mk, pd.mk, perlmodule.mk, python-sugar.mk,
    scons.mk, waf.mk (Closes: #698044, #669923)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 17:25:59 +0100

## cdbs 0.4.170

=== debian/changelog ===
cdbs (0.4.170) unstable; urgency=medium

  * QA upload.
  * Drop unused module qmake.mk
  * Sort d/control with debputy
  * Remove now unused license GPL-2 from d/copyright
  * Trim d/copyright_hints from removed files

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Mar 2025 13:34:24 +0100

## cdbs 0.4.171

=== debian/changelog ===
cdbs (0.4.171) unstable; urgency=medium

  * QA upload.
  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL (Closes: #311724, #315917, #838873)
    See https://ftp-master.debian.org/REJECT-FAQ.html

 -- Alexandre Detiste <tchet@debian.org>  Mon, 07 Apr 2025 15:19:34 +0200

## cdbs 0.4.172

=== debian/changelog ===
cdbs (0.4.172) unstable; urgency=medium

  * QA upload.
  * Remove support for udebs.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 09 Apr 2025 17:24:18 +0200

## cdbs 0.4.173

=== debian/changelog ===
cdbs (0.4.173) unstable; urgency=medium

  * QA upload.
  * Revert "remove special casing for packages not using CDBS anymore".
    It breaks several packages on arm64 by not getting their
    config.guess/config.sub files updated.
    Closes: #1106313, #1106314, #1106315, #1106317, #1106318, #1106319.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 May 2025 13:30:00 +0200

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep:
 debhelper,
 dh-python <!nocheck>,
 ant <!nocheck>,
 autoconf,
 default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
 fakeroot <!nocheck>,
 lzma <!nocheck>,
 python3-all-dev <!nocheck>,
 scour <!nocheck>,
 sharutils <!nocheck>,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/cdbs.git
Vcs-Browser: https://salsa.debian.org/debian/cdbs
Rules-Requires-Root: no
X-Style: black

Package: cdbs
Architecture: all
Multi-Arch: foreign
Depends:
 scour,
Description: common build system for Debian packages
 This package contains the Common Debian Build System,
 an abstract build system based on Makefile inheritance
 which is completely extensible and overridable.
 In other words, CDBS provides a sane set of default rules
 upon which packages can build;
 any or all rules may be overridden as needed.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # emit testsuite errors, and don't fail on experimental builds
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_SUITE))
 DEB_MAKE_CHECK_TARGET = check \
- || { cat test/test-suite.log; $(if $(DEB_SUITE_EXP),,false;) }
+ || { cat tests/testsuite.log; }
 
 # Unset these variables so config.guess/config.sub in the test suite are
 # not replaced (because the test suite is supposed to test the replacing

## cdbs 0.4.174

=== debian/changelog ===
cdbs (0.4.174) unstable; urgency=medium

  * QA upload.
  * Remove unused perl-build.mk
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 20:19:14 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-all-dev <!nocheck>,
  scour <!nocheck>,
  sharutils <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/cdbs.git
 Vcs-Browser: https://salsa.debian.org/debian/cdbs
 Rules-Requires-Root: no

## cdbs 0.4.175

=== debian/changelog ===
cdbs (0.4.175) unstable; urgency=medium

  * QA upload.
  * Remove perl-makemaker.mk (Closes: #288806)
  * Remove upstream-tarball.mk (Closes: #746377, #783191)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 03:03:52 +0200

## cdbs 0.4.176

=== debian/changelog ===
cdbs (0.4.176) unstable; urgency=medium

  * QA upload.
  * Remove python distutils support
    (Closes: #868752, #606530, #529284, #587373,
             #430571, #574791, #606217, #565974)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 31 Aug 2025 12:32:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep:
  debhelper,
- dh-python <!nocheck>,
  ant <!nocheck>,
  autoconf,
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  fakeroot <!nocheck>,
  lzma <!nocheck>,
- python3-all-dev <!nocheck>,
  scour <!nocheck>,
  sharutils <!nocheck>,
 Standards-Version: 4.7.2

## cdbs 0.4.177

=== debian/changelog ===
cdbs (0.4.177) unstable; urgency=medium

  * QA upload.
  * Remove cmake.mk (Closes: #499816, #501233, #551825, #911805)
  * Remove gnome.mk
  * Drop "Rules-Requires-Root: no", it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Sun, 31 Aug 2025 13:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/cdbs.git
 Vcs-Browser: https://salsa.debian.org/debian/cdbs
-Rules-Requires-Root: no
 X-Style: black
 
 Package: cdbs

## cdbs 0.4.178

=== debian/changelog ===
cdbs (0.4.178) unstable; urgency=medium

  * QA upload.
  * Drop unused ant.mk (java) (LP: #408363)
    (Closes:  #420287, #506602, #757386)
  * Drop build-depencies "lzma" & "sharutils"
  * Remove unused scour integration

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Sep 2025 21:50:17 +0200

## cdbs 0.4.179

=== debian/changelog ===
cdbs (0.4.179) unstable; urgency=medium

  * QA upload.
  * Remove unused utils.mk (Closes: #565771, #609500, #839904)
  * Drop CDBS_BUILD_DEPENDS: this has been dead code since 0.4.171
  * Drop DEB_TARBALL: this was needed by removed tarball.mk
  * Redo the changes from 0.4.172, correctly this time:
    "remove special casing for packages not using CDBS anymore"

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Sep 2025 17:44:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,8 @@
 _cdbs_makefile_suffix = .in
 
 DEB_AUTO_UPDATE_AUTOCONF = ,
-include 1/rules/utils.mk.in
 include 1/rules/debhelper.mk.in
 include 1/class/autotools.mk.in
-
-# Suppress build-dependency on ourselves
-CDBS_BUILD_DEPENDS_rules_buildvars =
-
-# Suppress build-dependency on licensecheck to ease backports + arch bootstrap
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
 DEB_COPYRIGHT_CHECK_MERGE_SAME_LICENSE = yes

## cdbs 0.4.180

=== doc/Makefile ===
all: html pdf

papers = cdbs-doc
graphics = buildcore depgraph

xmllint-stamp-%: %.xml
	xmllint --nonet --xinclude --postvalid --noblanks --noout $<
	touch $@

html: $(papers:%=%.html)
$(papers:%=%.html): %.html: %.xml xmllint-stamp-% cdbs-doc-xhtml.xsl $(graphics:%=%.png)
	xsltproc --nonet --xinclude -o $@ cdbs-doc-xhtml.xsl $<

pdf: $(papers:%=%.pdf)
$(papers:%=%.pdf): %.pdf: %.xml xmllint-stamp-% $(graphics:%=%.pdf)
	dblatex -b xetex -T db2latex $<

ps: $(papers:%=%.ps)
$(papers:%=%.ps): %.ps: %.xml xmllint-stamp-% $(graphics:%=%.eps)
	dblatex -T db2latex -t ps -f eps $<

txt: $(papers:%=%.txt)
$(papers:%=%.txt): %.txt: %.html
	elinks -dump -no-numbering -no-references $< >$@

%.png: %.dot
	dot -Tpng -o $@ $^

%.eps: %.dot
	dot -Tps2 -o $@ $^ -Gsize='6,10'

%.pdf: %.dot
	dot -Tpdf -o $@ $^ -Gsize='6,10'

all_mk_files := $(wildcard ../1/*/*.mk)

depgraph-tmp.dot: gen-dotty.pl $(all_mk_files)
	perl $^ >$@

depgraph.dot: depgraph-tmp.dot
	unflatten -l 5 -o $@ $^


clean:
	rm -f *.aux *.dvi *.out *.log *.glo *.idx *.ind *.ilg *.lot *.lof *.toc *.tex *.fo *.png *.pdf *.eps *.tex-* *.html *.ps *.txt xmllint-stamp-*
	rm -f depgraph.dot depgraph-tmp.dot

distclean: clean


.PHONY: all install install-data install-exec uninstall install-info installdirs check installcheck clean distclean maintainer-clean

.SECONDARY:

=== debian/changelog ===
cdbs (0.4.180) unstable; urgency=medium

  * QA upload.
  * Remove unused support for old -dbg packages ("edac-utils" build fine)
  * Make test error fatal again during CDBS build, all remaining tests succeed

 -- Alexandre Detiste <tchet@debian.org>  Sun, 05 Oct 2025 15:11:42 +0200

=== tests/data/hdparm/debian/changelog ===
hdparm (5.4-2) unstable; urgency=low

  * Added cdbs to Build-Depends.

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  4 Aug 2003 23:00:00 -0500

hdparm (5.4-1) unstable; urgency=low

  * New upstream release.
  * Move contrib scripts. (Closes: #122644)
  * Suggest apmd. (Closes: #137434)
  * Include upstream documentation. (Closes: #155171)
  * Bumped debhelper version. (Closes: #190866)

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  4 Aug 2003 22:00:00 -0500

hdparm (5.3-0.1) unstable; urgency=low

  * NMU with permission of maintainer.
  * New upstream release. (closes: #135708)
  * This should build on s390/hppa/ia64 again (closes: #155725, #185704)

 -- Andrew Suffield <asuffield@debian.org>  Wed,  9 Apr 2003 21:40:35 +0100

hdparm (5.2-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 31 Jul 2002 14:35:00 -0500

hdparm (4.5-1.2) unstable; urgency=low

  * NMU
  * Change "Conflicts: apmd" to "Replaces: apmd", to comply with section
    7.5 of policy.  This should eliminate upgrade problems.

 -- Chris Hanson <cph@debian.org>  Thu, 14 Mar 2002 00:26:38 -0500

hdparm (4.5-1.1) unstable; urgency=low

  * NMU with permission of maintainer.
  * Move "/etc/apm/event.d/20hdparm" from the apmd package to the hdparm
    package.

 -- Chris Hanson <cph@debian.org>  Thu, 7 Mar 2002 23:06:39 -0500

hdparm (4.5-1) unstable; urgency=high

  * New Upstream. (Closes: #101531)
  * New Maintainer.
  * Included contrib scripts. (Closes: #92620)

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 28 Nov 2001 14:10:00 -0600

hdparm (3.9a-1) unstable woody; urgency=low

  * New upstream version (patch). Closes #85351, #77979, #58265
  * Hack around compilation issues. Closes #80897, #84520
  * Back out manpage patch. Closes #67060
  * Add upstream changelog. Closes #80126
  * Change doc for -q. Closes #37594 

 -- Steve Dunham <dunham@debian.org>  Wed, 14 Feb 2001 16:35:12 -0800

hdparm (3.9-1) unstable; urgency=low

  * New upstream version

 -- Steve Dunham <dunham@debian.org>  Tue, 16 May 2000 08:30:32 -0700

hdparm (3.6-2) unstable; urgency=low

  * Patch to unregister interfaces for thinkpads
  * Closes: #54715

 -- Steve Dunham <dunham@debian.org>  Tue, 25 Jan 2000 10:10:20 -0800

hdparm (3.6-1) unstable; urgency=low

  * New upstream version
  * Fix problem with no media on CDs
  * Add comment about -q option
  * Closes: #30866, #39511

 -- Steve Dunham <dunham@debian.org>  Fri, 29 Oct 1999 23:38:58 -0700

hdparm (3.5-1) unstable; urgency=low

  * New upstream version (#30010,#26368)

 -- Steve Dunham <dunham@debian.org>  Fri, 27 Nov 1998 11:49:03 -0500

hdparm (3.3-3) unstable; urgency=low

  * Switch to debhelper (#17219)

 -- Steve Dunham <dunham@debian.org>  Fri, 14 Aug 1998 00:15:38 -0400

hdparm (3.3-2) unstable; urgency=low

  * Fixed problem with automake

 -- Steve Dunham <dunham@cps.msu.edu>  Mon, 21 Jul 1997 18:31:41 -0400

hdparm (3.3-1) unstable; urgency=low

  * New upstream version - upstream changes:
        - add -C, -y, and -Y flags for IDE power management
        - force BLKFLSBUF after -T or -t  -- kmg@barco.com
        - fix minor -T/-t mixup in manpage -- hankedr@mail.auburn.edu


 -- Steve Dunham <dunham@cps.msu.edu>  Sun,  8 Jun 1997 13:18:10 -0400

hdparm (3.1-2) unstable; urgency=low

  * Fixed Architecture: field

  * Upgrade to 3.1.  Change to "Package format of the month"(TM)

 -- Steve Dunham <dunham@gdl.msu.edu>  Thu, 10 Oct 1996 19:51:22 -0800

old changelog

23-December-1994 Bruce Perens <Bruce@Pixar.com>
        Added Debian GNU/Linux package maintenance system files, and configured
        for Debian.

22-June-1995 Guy R. Thomas <gthomas@native-ed.bc.ca>
        Took over maintenance of package.  New Debian revision.

22-June-1995 Guy R. Thomas <gthomas@native-ed.bc.ca>
        Upgraded to current version.  ( May 31, 1995 )

25-June-1996 Steve Dunham <dunham@gdl.msu.edu>
        Upgraded to current version.

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper,
 autoconf,
 fakeroot <!nocheck>,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/cdbs.git
Vcs-Browser: https://salsa.debian.org/debian/cdbs
X-Style: black

Package: cdbs
Architecture: all
Multi-Arch: foreign
Description: common build system for Debian packages
 This package contains the Common Debian Build System,
 an abstract build system based on Makefile inheritance
 which is completely extensible and overridable.
 In other words, CDBS provides a sane set of default rules
 upon which packages can build;
 any or all rules may be overridden as needed.

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,7 @@
 # We use autotools too modern for default CDBS
 DEB_CONFIGURE_LIBEXECDIR = /usr/lib
 
-# emit testsuite errors, and don't fail on experimental builds
-DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_SUITE))
-DEB_MAKE_CHECK_TARGET = check \
- || { cat tests/testsuite.log; }
+DEB_MAKE_CHECK_TARGET = check
 
 # Unset these variables so config.guess/config.sub in the test suite are
 # not replaced (because the test suite is supposed to test the replacing

=== tests/data/hdparm/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Jeff Bailey <jbailey@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include debian/testsuite.mk
include $(_cdbs_package_root_dir)/1/rules/debhelper.mk
include $(_cdbs_package_root_dir)/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp

common-install-prehook-arch::
	install -d $(CURDIR)/debian/tmp/sbin

=== tests/data/hdparm/debian/control ===
Source: hdparm
Section: admin
Priority: optional
Maintainer: Christopher L Cheney <ccheney@debian.org>
Build-Depends: debhelper (>> 4.0.18)
# It actually build-depends on cdbs (>> 0.4.5) also but not in this test suite.
Standards-Version: 3.6.0

Package: hdparm
Architecture: any
Depends: ${shlibs:Depends}
Suggests: apmd
Replaces: apmd (<= 3.0.2-1.15)
Description: Tune hard disk parameters for high performance
 get/set hard disk parameters for Linux IDE drives.
 Primary use is for enabling irq-unmasking and IDE multiplemode.

## cdbs 0.4.181

=== debian/changelog ===
cdbs (0.4.181) unstable; urgency=medium

  * QA upload.
  * Remove DH_COMPAT < 7 hybridation

  [ Bastian Germann ]
  * tests: Replace hdparm copyright file (Closes: #1120938)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 23:42:53 +0100

## cdbs 0.4.182

=== debian/changelog ===
cdbs (0.4.182) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop tests for to-be-removed autotools
  * Drop lintian override, simplify d/copyright
  * Add debian/clean
  * Refresh autotools
  * Do not ship now unused autotools.mk, makefile.mk
    (Closes: #525849, #487546, #564662, #573350, #661983, #461513,
             #509177, #521872, #537496, #590508, #652945)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Jan 2026 00:37:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cdbs
 Section: devel
-Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper,
  autoconf,
  fakeroot <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/cdbs.git
 Vcs-Browser: https://salsa.debian.org/debian/cdbs
 X-Style: black
